org.eclipse.mat.ui.snapshot.panes.oql.contentAssist

## Class OQLScanner

- java.lang.Object
- - RuleBasedScanner
  - - org.eclipse.mat.ui.snapshot.panes.oql.contentAssist.OQLScanner

    public class OQLScanner
    extends RuleBasedScanner

Provides color tokens for syntax highlighting.

### Constructor Summary

Constructors
Constructor and Description
`OQLScanner(org.eclipse.swt.graphics.Color color)` Assigns keyword coloring rule to the ruleset
`OQLScanner(org.eclipse.swt.graphics.Color color, String clause)` Assigns keyword coloring rule to the ruleset

### Method Summary

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### OQLScanner

    public OQLScanner(org.eclipse.swt.graphics.Color color)

Assigns keyword coloring rule to the ruleset

#### OQLScanner

    public OQLScanner(org.eclipse.swt.graphics.Color color,
                      String clause)

Assigns keyword coloring rule to the ruleset